Board index   FAQ   Search  
Register  Login
Board index PHP PEAR and PECL

PECL AND PEAR NIGHTMARE

Do you have questions regarding Pecl or Pear? ask here!

Moderators: macek, egami, gesf

PECL AND PEAR NIGHTMARE

Postby sarabjeet » Thu Jul 17, 2014 10:55 am

My problem is apparently a recognized 'bug' , but do you please have a solution for it ?
I am using PHP 5.5.3 on ubuntu 14 [Tahr] . And while php works fine, I can't install pecl extensions using
Code: Select all
sudo pecl install <extension>



I tried installing 'runkit-sandbox' extension
but it fails . Infact, I can't install any extension on pecl or pear . and error is always the same

Code: Select all
could not extract the package.xml file from "/build/buildd/php5-5.5.9+dfsg/pear-build-download/runkit-1.0.3.tgz"
Download of "https://github.com/downloads/zenovich/runkit/runkit-1.0.3.tgz" succeeded, but it is not a valid package archive
Invalid or missing remote package file
install failed


The package does download in "/build/buildd/php5-5.5.9+dfsg/pear build download" directory but when it comes to extracting it , it fails !

After hours of trying various methods, I still can't solve it. All I know is its a bug due to incompatibility between PHP version 5.5 / ubuntu14 AND pear archive_tar .

Yes , I have heard of a so-called patch to correct it here. tried it as well , but even that doesn't work
http://cweiske.de/tagebuch/pear-php-5.5.htm

I also tried "pear upgrade" command but even that doesn't work !

What should I do ???
sarabjeet
New php-forum User
New php-forum User
 
Posts: 1
Joined: Thu Jul 17, 2014 10:37 am

Return to PEAR and PECL

Who is online

Users browsing this forum: No registered users and 1 guest

Sponsored by Sitebuilder Web hosting and Traduzioni Italiano Rumeno and antispam for cPanel.

cron